org.apache.ignite.spi.checkpoint.s3

## Interface S3CheckpointSpiMBean

- All Superinterfaces:
    IgniteSpiManagementMBean

      @MXBeanDescription(value="MBean that provides access to S3 checkpoint SPI configuration.")
      public interface S3CheckpointSpiMBean
      extends IgniteSpiManagementMBean

  Management bean for `S3CheckpointSpi`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccessKey()`
    `String` | `getBucketEndpoint()`
    `String` | `getBucketName()` Gets S3 bucket name to use.
    `String` | `getProxyHost()`
    `int` | `getProxyPort()`
    `String` | `getProxyUsername()`
    `String` | `getSSEAlgorithm()`

    - ### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

      `getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

- - ### Method Detail

    - #### getBucketName

          @MXBeanDescription(value="S3 bucket name.")
          String getBucketName()

      Gets S3 bucket name to use.
      Returns:
        S3 bucket name to use.

    - #### getBucketEndpoint

          @MXBeanDescription(value="S3 bucket endpoint.")
          String getBucketEndpoint()

      Returns:
        S3 bucket endpoint.

    - #### getSSEAlgorithm

          @MXBeanDescription(value="S3 server-side encryption algorithm.")
          String getSSEAlgorithm()

      Returns:
        S3 server-side encryption algorithm.

    - #### getAccessKey

          @MXBeanDescription(value="S3 access key.")
          String getAccessKey()

      Returns:
        S3 access key.

    - #### getProxyHost

          @MXBeanDescription(value="HTTP proxy host.")
          String getProxyHost()

      Returns:
        HTTP proxy host.

    - #### getProxyPort

          @MXBeanDescription(value="HTTP proxy port.")
          int getProxyPort()

      Returns:
        HTTP proxy port

    - #### getProxyUsername

          @MXBeanDescription(value="HTTP proxy user name.")
          String getProxyUsername()

      Returns:
        HTTP proxy user name.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021